org.springframework.shell.plugin.support

## Class DefaultBannerProvider

- java.lang.Object
- - org.springframework.shell.plugin.support.DefaultBannerProvider

- All Implemented Interfaces:
    BannerProvider, NamedProvider

      @Component
      public class DefaultBannerProvider
      extends Object
      implements BannerProvider

  Default Banner provider.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBannerProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBanner()` Returns the banner.
    `String` | `getProviderName()` Return the name of the provider.
    `String` | `getVersion()` Returns the associated version.
    `String` | `getWelcomeMessage()` Returns the welcome message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBannerProvider

          public DefaultBannerProvider()

  - ### Method Detail

    - #### getBanner

          public String getBanner()

      Description copied from interface: `BannerProvider`
      Returns the banner.
      Specified by:
        `getBanner` in interface `BannerProvider`
      Returns:

    - #### getVersion

          public String getVersion()

      Description copied from interface: `BannerProvider`
      Returns the associated version.
      Specified by:
        `getVersion` in interface `BannerProvider`
      Returns:

    - #### getWelcomeMessage

          public String getWelcomeMessage()

      Description copied from interface: `BannerProvider`
      Returns the welcome message.
      Specified by:
        `getWelcomeMessage` in interface `BannerProvider`
      Returns:

    - #### getProviderName

          public String getProviderName()

      Description copied from interface: `NamedProvider`
      Return the name of the provider.
      Specified by:
        `getProviderName` in interface `NamedProvider`